> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update token ownership status

> Updates token status for a tenant, in all tenant vaults.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /nfts/ownership/tokens/{id}/status
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/ownership/tokens/{id}/status:
    put:
      tags:
        - NFTs
      summary: Update token ownership status
      description: |
        Updates token status for a tenant, in all tenant vaults.
      operationId: updateTokenOwnershipStatus
      parameters:
        - $ref: '#/components/parameters/X-End-User-Wallet-Id'
        - name: id
          required: true
          in: path
          description: NFT ID
          example: NFT-abcdefabcdefabcdefabcdefabcdefabcdefabcd
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTokenOwnershipStatusDto'
      responses:
        '200':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.nFTs.updateTokenOwnershipStatus(nFTsApiUpdateTokenOwnershipStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.nFTs().updateTokenOwnershipStatus(updateTokenOwnershipStatusDto,
            id, xEndUserWalletId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.n_f_ts.update_token_ownership_status(update_token_ownership_status_dto,
            id, x_end_user_wallet_id, idempotency_key);
components:
  parameters:
    X-End-User-Wallet-Id:
      name: X-End-User-Wallet-Id
      in: header
      description: >-
        Unique ID of the End-User wallet to the API request. Required for
        end-user wallet operations.
      required: false
      schema:
        type: string
        format: uuid
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    UpdateTokenOwnershipStatusDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - LISTED
            - ARCHIVED
      required:
        - status
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````